[PACKAGE]: ../../raw/master/vzlogger-0.0.1-20230806.mkp "vzlogger-0.0.1-20230806.mkp"
# Monitors values form the vzlogger middleware

see https://wiki.volkszaehler.org/software/controller/vzlogger

---
### Download
* [Download latest mkp file][PACKAGE]
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install vzlogger-0.0.1-20230806.mkp
mkp enablevzlogger-0.0.1 20230806
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates for each configured UUID a service. The item depends on the configured _channel type_ and _service name_ (see discovery rule). For not configured UUIDs it will create a service __vzlogger__ with the __UUID__ as item.

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ----- | --------- | ---- |
| WARN/CRIT | if outside of configured levels (upper/lower) | yes |
| UNKNOWN | if channel type for UUID is not configured | yed (Discovery rule) |

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| Electrical power | W | yes |
| Meter reading | Wh | yes |
| Electrical voltage | V | yes |

__Note:__ the actual perfdata depends on the configured channel type (see Discovery rule)

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Applications, Processes & Services | vzlogger  |

| Option | Defailt value |
| ------ | ------ |
| Levels (upper) | none|
| Levels lower | none |

__Note:__ _Levels (upper)_ can use predictive levels. In this case the _Levels lower_ will be ignored.

</details> 

<details><summary>Discovery rule</summary>

| Section | Rule name |
| ------ | ------ |
| Discovery of individual services | vzlogger  |

| Option | Defailt value |
| ------ | ------ |
| Channels | empty |

options for each Channel

| Option | Value | Description |
| ------ | ----- | ----------- |
| UUID |  uuid form vzlogger output | unique identifiter of the vzlogger channel |
| Channel type | Electrical Power(W)/Meter reading/Voltage (V) | This will define the service name |
| Service name (item) | Item | short name of the channel, this will become the item |

</details> 

---
### Sample Output

Sample output

![sample output](/doc/sample.png?raw=true "sample output")
