#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Copyright (C) 2019 tribe29 GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

from cmk.gui.i18n import _
from cmk.gui.plugins.metrics.utils import (
    metric_info,
    perfometer_info,
)

metric_info['meter_reading'] = {
    'title': _('Meter reading'),
    'unit': 'wh',
    'color': '41/a',
}


perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'meter_reading',
    'half_value': 50000000.0,  # 50MWh
    'exponent': 4,
})
